#include "ochess.hpp"
#include "GameListManager.hpp"
#include "gamebase/GameBase.hpp"

class BaseManageTab : public TabBase_TabManage {

    /// @brief Never free the following pointer in that class
    std::shared_ptr<GameListManager> glm;
    std::shared_ptr<GameBase> base;

public:
    BaseManageTab(wxFrame *parent, std::shared_ptr<GameBase> db, std::shared_ptr<GameListManager> glm);
    void RefreshInformations();
    void Reset(std::shared_ptr<GameBase> db);
};